Bug 1729003 - SELinux is preventing snapd from 'rmdir' accesses on the directory snap.rambox.
Summary: SELinux is preventing snapd from 'rmdir' accesses on the directory snap.rambox.
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: snapd
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zygmunt Krynicki
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:4ff0fd36e520d3fa1e757b430bd...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-11 07:51 UTC by a.wellbrock
Modified: 2020-02-18 11:50 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-18 11:50:43 UTC


Attachments (Terms of Use)

Description a.wellbrock 2019-07-11 07:51:57 UTC
Description of problem:
This problem happens on Fedora 30, latest kernel, when I use the Gnome Store to remove the Snap-Package of Rambox.

I removed it, since the package seems not to work at all, at least I'm not able to start it, so I'm suspecting SELinux to be the culprit. A friend with who installed Fedora 30 from scratch does not appear to have this problem.
SELinux is preventing snapd from 'rmdir' accesses on the directory snap.rambox.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that snapd should be allowed rmdir access on the snap.rambox directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'snapd' --raw | audit2allow -M my-snapd
# semodule -X 300 -i my-snapd.pp

Additional Information:
Source Context                system_u:system_r:snappy_t:s0
Target Context                unconfined_u:object_r:user_tmp_t:s0
Target Objects                snap.rambox [ dir ]
Source                        snapd
Source Path                   snapd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.14.3-39.fc30.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 5.1.15-300.fc30.x86_64 #1 SMP Tue
                              Jun 25 14:07:22 UTC 2019 x86_64 x86_64
Alert Count                   1
First Seen                    2019-07-10 09:53:46 CEST
Last Seen                     2019-07-10 09:53:46 CEST
Local ID                      f5493573-3e09-4714-ac73-bcbaa7fea2cc

Raw Audit Messages
type=AVC msg=audit(1562745226.786:1599): avc:  denied  { rmdir } for  pid=4387 comm="snapd" name="snap.rambox" dev="tmpfs" ino=895840 scontext=system_u:system_r:snappy_t:s0 tcontext=unconfined_u:object_r:user_tmp_t:s0 tclass=dir permissive=1


Hash: snapd,snappy_t,user_tmp_t,dir,rmdir

Version-Release number of selected component:
selinux-policy-3.14.3-39.fc30.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.10.0
hashmarkername: setroubleshoot
kernel:         5.1.15-300.fc30.x86_64
type:           libreport

Potential duplicate: bug 1628354

Comment 1 Peter 2019-08-28 14:20:41 UTC
Description of problem:
it just showed up while I was trying to remove atom.

Version-Release number of selected component:
selinux-policy-3.14.3-43.fc30.noarch

Additional info:
reporter:       libreport-2.10.1
hashmarkername: setroubleshoot
kernel:         5.2.9-200.fc30.x86_64
type:           libreport

Comment 2 Zygmunt Krynicki 2020-02-18 11:50:43 UTC
This bug is now tracked in an aggregate helper issue: https://bugs.launchpad.net/snapd/+bug/1863747


Note You need to log in before you can comment on or make changes to this bug.